diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 22cf833f..1ad4d068 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1,30 +1,32 @@
 <?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="family.ws.maelis.sigec.com" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="FamilyService" targetNamespace="family.ws.maelis.sigec.com">
   <wsdl:types>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tns="family.ws.maelis.sigec.com" xmlns:ns4="bean.persistence.activity.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.school.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="family.ws.maelis.sigec.com">
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tns="family.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="family.ws.maelis.sigec.com">
   <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
-  <xs:import namespace="bean.persistence.school.ws.maelis.sigec.com"/>
-  <xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com"/>
+  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
   <xs:import namespace="http://www.w3.org/2005/05/xmlmime"/>
   <xs:element name="addSuppliedDocument" type="tns:addSuppliedDocument"/>
   <xs:element name="addSuppliedDocumentResponse" type="tns:addSuppliedDocumentResponse"/>
   <xs:element name="createChild" type="tns:createChild"/>
   <xs:element name="createChildResponse" type="tns:createChildResponse"/>
   <xs:element name="createFamily" type="tns:createFamily"/>
   <xs:element name="createFamilyResponse" type="tns:createFamilyResponse"/>
+  <xs:element name="createOrUpdateChildDiet" type="tns:createOrUpdateChildDiet"/>
+  <xs:element name="createOrUpdateChildDietResponse" type="tns:createOrUpdateChildDietResponse"/>
   <xs:element name="createOrUpdateFSL" type="tns:createOrUpdateFSL"/>
   <xs:element name="createOrUpdateFSLResponse" type="tns:createOrUpdateFSLResponse"/>
   <xs:element name="createUpdateQuotient" type="tns:createUpdateQuotient"/>
   <xs:element name="createUpdateQuotientResponse" type="tns:createUpdateQuotientResponse"/>
   <xs:element name="deletesubscribe" type="tns:deletesubscribe"/>
   <xs:element name="deletesubscribeResponse" type="tns:deletesubscribeResponse"/>
   <xs:element name="getActivityRate" type="tns:getActivityRate"/>
   <xs:element name="getActivityRateResponse" type="tns:getActivityRateResponse"/>
+  <xs:element name="getLevel" type="tns:getLevel"/>
+  <xs:element name="getLevelResponse" type="tns:getLevelResponse"/>
   <xs:element name="isChildExists" type="tns:isChildExists"/>
   <xs:element name="isChildExistsResponse" type="tns:isChildExistsResponse"/>
   <xs:element name="isRLExists" type="tns:isRLExists"/>
   <xs:element name="isRLExistsResponse" type="tns:isRLExistsResponse"/>
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
   <xs:element name="readCSPList" type="tns:readCSPList"/>
   <xs:element name="readCSPListResponse" type="tns:readCSPListResponse"/>
@@ -55,23 +57,27 @@
   <xs:element name="subscribeActivity" type="tns:subscribeActivity"/>
   <xs:element name="subscribeActivityResponse" type="tns:subscribeActivityResponse"/>
   <xs:element name="subscribeSchool" type="tns:subscribeSchool"/>
   <xs:element name="subscribeSchoolResponse" type="tns:subscribeSchoolResponse"/>
   <xs:element name="updateChildAutorization" type="tns:updateChildAutorization"/>
   <xs:element name="updateChildAutorizationResponse" type="tns:updateChildAutorizationResponse"/>
   <xs:element name="updateChildIndicators" type="tns:updateChildIndicators"/>
   <xs:element name="updateChildIndicatorsResponse" type="tns:updateChildIndicatorsResponse"/>
+  <xs:element name="updateChildMedicalRecord" type="tns:updateChildMedicalRecord"/>
+  <xs:element name="updateChildMedicalRecordResponse" type="tns:updateChildMedicalRecordResponse"/>
   <xs:element name="updateChildPAI" type="tns:updateChildPAI"/>
   <xs:element name="updateChildPAIResponse" type="tns:updateChildPAIResponse"/>
   <xs:element name="updateCoordinate" type="tns:updateCoordinate"/>
   <xs:element name="updateCoordinateResponse" type="tns:updateCoordinateResponse"/>
   <xs:element name="updateFamily" type="tns:updateFamily"/>
   <xs:element name="updateFamilyAuthorizedPersonList" type="tns:updateFamilyAuthorizedPersonList"/>
   <xs:element name="updateFamilyAuthorizedPersonListResponse" type="tns:updateFamilyAuthorizedPersonListResponse"/>
+  <xs:element name="updateFamilyEmergencyPersonList" type="tns:updateFamilyEmergencyPersonList"/>
+  <xs:element name="updateFamilyEmergencyPersonListResponse" type="tns:updateFamilyEmergencyPersonListResponse"/>
   <xs:element name="updateFamilyResponse" type="tns:updateFamilyResponse"/>
   <xs:element name="updateFamilySituation" type="tns:updateFamilySituation"/>
   <xs:element name="updateFamilySituationResponse" type="tns:updateFamilySituationResponse"/>
   <xs:complexType name="deletesubscribe">
     <xs:sequence>
       <xs:element name="numPerson" type="xs:int"/>
       <xs:element name="idActivite" type="xs:string"/>
       <xs:element name="dateRefDelete" type="xs:dateTime"/>
@@ -99,27 +105,36 @@
   <xs:complexType name="updateChildIndicatorsResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQuotientList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQuotientListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readDietCodeList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readDietCodeListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="createOrUpdateChildDiet">
+    <xs:sequence>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="code" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="createOrUpdateChildDietResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="readFamily">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
       <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
@@ -150,18 +165,18 @@
   <xs:complexType name="rlInfoBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="num" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="quality" type="xs:string"/>
       <xs:element name="civility" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element name="adresse" type="ns2:addressBean"/>
-      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element name="adresse" type="ns1:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns1:contactBean"/>
       <xs:element minOccurs="0" name="profession" type="ns1:professionBean"/>
       <xs:element minOccurs="0" name="CAFInfo" type="ns1:cafInfoBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="fslBean">
     <xs:sequence>
       <xs:element name="dateDeb" type="xs:dateTime"/>
       <xs:element name="dateFin" type="xs:dateTime"/>
@@ -193,17 +208,17 @@
       <xs:element minOccurs="0" name="libelleTypeIns" type="xs:string"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribesUnit" nillable="true" type="tns:subscribeUnitBean"/>
       <xs:element minOccurs="0" name="place" type="xs:string"/>
       <xs:element minOccurs="0" name="planningHebdomadaire" type="xs:string"/>
       <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
       <xs:element minOccurs="0" name="libelleTypeConsum" type="xs:string"/>
       <xs:element minOccurs="0" name="comment" type="xs:string"/>
       <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
-      <xs:element minOccurs="0" name="typeActivity" type="ns4:activityTypeBean"/>
+      <xs:element minOccurs="0" name="typeActivity" type="ns1:activityTypeBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeUnitBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
       <xs:element minOccurs="0" name="bUniStd" type="xs:boolean"/>
       <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
@@ -220,35 +235,16 @@
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecResultBean">
     <xs:complexContent>
       <xs:extension base="tns:abstractSpecBean">
         <xs:sequence/>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
-  <xs:complexType name="blocNoteKernelBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="idBlocNote" type="xs:string"/>
-      <xs:element minOccurs="0" name="idIndicator" type="xs:string"/>
-      <xs:element minOccurs="0" name="idRefe" type="xs:string"/>
-      <xs:element minOccurs="0" name="note" type="xs:string"/>
-      <xs:element minOccurs="0" name="numIndex" type="xs:int"/>
-      <xs:element minOccurs="0" name="type" type="tns:blocNoteTypeEnum"/>
-      <xs:element minOccurs="0" name="typeStr" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="indicatorValueKernelBean">
-    <xs:sequence>
-      <xs:element name="active" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="idFamily" type="xs:string"/>
-      <xs:element minOccurs="0" name="indicatorKernel" type="xs:anyType"/>
-      <xs:element minOccurs="0" name="indicatorValeu" type="xs:anyType"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="isWSRunning">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="isWSRunningResponse">
     <xs:sequence>
       <xs:element name="isWSRunning" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
@@ -260,51 +256,62 @@
   <xs:complexType name="updateChildAutorizationResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCivilityList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCivilityListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readCSPList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCSPListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilySituation">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element minOccurs="0" name="category" type="xs:string"/>
       <xs:element minOccurs="0" name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilySituationResponse">
     <xs:sequence/>
   </xs:complexType>
+  <xs:complexType name="getLevel">
+    <xs:sequence>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getLevelResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="level" type="ns1:levelBean"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="createOrUpdateFSL">
     <xs:sequence>
       <xs:element name="arg0" type="xs:int"/>
       <xs:element name="arg1" type="tns:fslBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrUpdateFSLResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="subscribeSchool">
     <xs:sequence>
-      <xs:element name="subcribeSchoolRequestBean" type="ns3:subscribeSchoolRequestBean"/>
+      <xs:element name="subcribeSchoolRequestBean" type="ns1:subscribeSchoolRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeSchoolResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="subscribeSchoolResultBean" type="tns:subscribeSchoolResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeSchoolResultBean">
@@ -312,22 +319,31 @@
       <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
       <xs:element minOccurs="0" name="level" type="xs:string"/>
       <xs:element minOccurs="0" name="phone" type="xs:string"/>
       <xs:element minOccurs="0" name="adress" type="xs:string"/>
       <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="updateFamilyEmergencyPersonList">
+    <xs:sequence>
+      <xs:element name="numDossier" type="xs:int"/>
+      <xs:element name="emergencyPersonList" type="ns1:emergencyPersonListBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateFamilyEmergencyPersonListResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="updateCoordinate">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="adresse" type="ns2:addressBean"/>
-      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element name="adresse" type="ns1:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns1:contactBean"/>
       <xs:element minOccurs="0" name="profession" type="ns1:professionBean"/>
       <xs:element minOccurs="0" name="CAFInfo" type="ns1:cafInfoBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateCoordinateResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="updateFamily">
@@ -380,22 +396,22 @@
       <xs:element minOccurs="0" name="codeUti" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createUpdateQuotientResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="getActivityRate">
     <xs:sequence>
-      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
+      <xs:element name="request" type="ns1:getActivityRateRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="getActivityRateResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns1:getActivityRateResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="isRLExists">
     <xs:sequence>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
@@ -417,48 +433,56 @@
   <xs:complexType name="updateChildPAIResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQualityList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQualityListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readSituationList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readSituationListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="updateChildMedicalRecord">
+    <xs:sequence>
+      <xs:element name="updateChildMedicalRecordRequest" type="ns1:updateChildMedicalRecordRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateChildMedicalRecordResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="createChild">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
-      <xs:element name="child" type="ns2:childCreateBean"/>
+      <xs:element name="child" type="ns1:childCreateBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="birthCreateBean">
     <xs:sequence>
       <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="place" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createChildResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="resultBean" type="ns1:resultChildBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="addSuppliedDocument">
     <xs:sequence>
-      <xs:element name="addSuppliedDocumentRequestBean" type="ns2:addSuppliedDocumentRequestBean"/>
+      <xs:element name="addSuppliedDocumentRequestBean" type="ns1:addSuppliedDocumentRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="fileHandler">
     <xs:sequence>
       <xs:element minOccurs="0" name="dataHandler" type="xs:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
       <xs:element minOccurs="0" name="fileType" type="xs:string"/>
       <xs:element minOccurs="0" name="name" type="xs:string"/>
     </xs:sequence>
@@ -512,42 +536,42 @@
       <xs:element minOccurs="0" name="createFamilyResult" type="ns1:resultFamilyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readVaccinList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readVaccinListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readPAIList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readPAIListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilyAuthorizedPersonList">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="authorizedPersonList" type="tns:authorizedPersonListBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilyAuthorizedPersonListResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCategoryList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCategoryListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readFamilyByPassword">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element name="password" type="xs:string"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
@@ -559,25 +583,25 @@
       <xs:element minOccurs="0" name="familyBean" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readStreetList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readStreetListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns1:StreetBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns2:StreetBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readOrganList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readOrganListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns1:organBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns2:organBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:simpleType name="blocNoteTypeEnum">
     <xs:restriction base="xs:string">
       <xs:enumeration value="A"/>
       <xs:enumeration value="L"/>
       <xs:enumeration value="IA"/>
       <xs:enumeration value="RP"/>
@@ -594,42 +618,77 @@
   <xs:element name="MaelisFamilyExceptionSpec" type="tns:MaelisFamilyExceptionSpec"/>
   <xs:complexType name="MaelisFamilyExceptionSpec">
     <xs:sequence>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 </xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.ws.maelis.sigec.com" xmlns:ns4="bean.persistence.activity.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.school.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
 
-  <xs:import namespace="family.ws.maelis.sigec.com"/>
+  <xs:complexType name="itemBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
+  <xs:complexType name="StreetBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelleStreet" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="bean.persistence.school.ws.maelis.sigec.com"/>
+  <xs:complexType name="organBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com"/>
+</xs:schema>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
+
+  <xs:import namespace="family.ws.maelis.sigec.com"/>
 
   <xs:complexType name="indicatorValueUpdBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecRequestBean">
         <xs:sequence>
           <xs:element name="code" type="xs:string"/>
           <xs:element minOccurs="0" name="choice" type="xs:string"/>
           <xs:element name="isActive" type="xs:boolean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="itemBean">
+  <xs:complexType name="addressBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element minOccurs="0" name="idStreet" nillable="true" type="xs:string"/>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="numComp" type="xs:string"/>
+      <xs:element name="street1" type="xs:string"/>
+      <xs:element minOccurs="0" name="street2" type="xs:string"/>
+      <xs:element name="town" type="xs:string"/>
+      <xs:element name="zipcode" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="contactBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="isContactMail" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="isContactSms" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="isInvoicePdf" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="professionBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="codeCSP" type="xs:string"/>
       <xs:element minOccurs="0" name="profession" type="xs:string"/>
       <xs:element minOccurs="0" name="employerName" type="xs:string"/>
